[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TStringHelper.CopyTo

Copy part of the string to an array of characters

## Declaration

Source position: syshelph.inc line 102

`public procedure TStringHelper.CopyTo(`
`SourceIndex: SizeInt;`
`var destination: array of Char;`
`DestinationIndex: SizeInt;`
`ACount: SizeInt`
`);`

## Description

CopyTo copies at most ACount characters from the source string (Self) to the array Destination, starting at (zero based) index SourceIndex. The characters are copied to the array starting at position DestinationIndex (zero based).

## See also

Copy |  | Copy part of a string.